Bug 249237 - IPV4 'Treason uncloaked' message - hints at a more general kernel/net bug
Summary: IPV4 'Treason uncloaked' message - hints at a more general kernel/net bug
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.9
Hardware: All Linux
urgent
urgent
Target Milestone: ---
Assignee: Anton Arapov
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On: 238725
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-23 06:19 UTC by Anton Arapov
Modified: 2018-10-19 21:49 UTC (History)
5 users (show)

Fixed In Version: RHSA-2007-1049
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 15:37:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for treason warnings derived from upstream change (488 bytes, patch)
2007-07-23 06:19 UTC, Anton Arapov
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1049 normal SHIPPED_LIVE Important: kernel security and bug fix update 2007-12-03 15:37:55 UTC

Description Anton Arapov 2007-07-23 06:19:53 UTC
+++ This bug was initially created as a clone of Bug #238725 +++

Description of problem:

IPV4 networking stack emits the following type of messages occasionally

TCP: Treason uncloaked! Peer A.B.C.D:4138/80 shrinks window
2421420804:2421422264. Repaired.
TCP: Treason uncloaked! Peer E.F.G.H:5013/80 shrinks window 281635575:281635576.
Repaired.
TCP: Treason uncloaked! Peer I.J.K.L:38740/80 shrinks window
1393004015:1393005475. Repaired.

Version-Release number of selected component (if applicable):

kernel-2.6.9-55

How reproducible:

Tricky

Steps to Reproduce:
1. run networking and wait.
2.
3.
  
Actual results:


TCP: Treason uncloaked! Peer A.B.C.D:4138/80 shrinks window
2421420804:2421422264. Repaired.
TCP: Treason uncloaked! Peer E.F.G.H:5013/80 shrinks window 281635575:281635576.
Repaired.
TCP: Treason uncloaked! Peer I.J.K.L:38740/80 shrinks window
1393004015:1393005475. Repaired.

Expected results:

no logs.

Additional info:

Root cause has been identified and fixed upstream 

http://kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=2ad41065d9fe518759b695fc2640cf9c07261dd2

Comment 1 Anton Arapov 2007-07-23 06:19:53 UTC
Created attachment 159762 [details]
patch for treason warnings derived from upstream change

Comment 8 Don Howard 2007-11-14 09:27:08 UTC
A patch for this issue has been included in build 2.4.21-53.EL.

Comment 12 errata-xmlrpc 2007-12-03 15:37:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-1049.html



Note You need to log in before you can comment on or make changes to this bug.